Package org.apache.cayenne.access.sqlbuilder

## Class FunctionNodeBuilder

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.FunctionNodeBuilder

- All Implemented Interfaces:
    `NodeBuilder`

      public class FunctionNodeBuilder
      extends Object

  Since:
    4.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FunctionNodeBuilder` | `as​(String alias)` |
    `Node` | `build()` |
    `default ExpressionNodeBuilder` | `div​(NodeBuilder nodeBuilder)` |
    `default ExpressionNodeBuilder` | `eq​(NodeBuilder nodeBuilder)` |
    `default ExpressionNodeBuilder` | `gt​(NodeBuilder operand)` |
    `default ExpressionNodeBuilder` | `gte​(NodeBuilder operand)` |
    `default ExpressionNodeBuilder` | `lt​(NodeBuilder operand)` |
    `default ExpressionNodeBuilder` | `lte​(NodeBuilder operand)` |
    `default ExpressionNodeBuilder` | `minus​(NodeBuilder nodeBuilder)` |
    `default ExpressionNodeBuilder` | `mul​(NodeBuilder nodeBuilder)` |
    `default ExpressionNodeBuilder` | `plus​(NodeBuilder nodeBuilder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### as

          public FunctionNodeBuilder as​(String alias)

    - #### build

          public Node build()

      Specified by:
        `build` in interface `NodeBuilder`

    - #### lt

          public default ExpressionNodeBuilder lt​(NodeBuilder operand)

    - #### gt

          public default ExpressionNodeBuilder gt​(NodeBuilder operand)

    - #### lte

          public default ExpressionNodeBuilder lte​(NodeBuilder operand)

    - #### gte

          public default ExpressionNodeBuilder gte​(NodeBuilder operand)

    - #### eq

          public default ExpressionNodeBuilder eq​(NodeBuilder nodeBuilder)

    - #### plus

          public default ExpressionNodeBuilder plus​(NodeBuilder nodeBuilder)

    - #### minus

          public default ExpressionNodeBuilder minus​(NodeBuilder nodeBuilder)

    - #### mul

          public default ExpressionNodeBuilder mul​(NodeBuilder nodeBuilder)

    - #### div

          public default ExpressionNodeBuilder div​(NodeBuilder nodeBuilder)